%global modulename cosmiconfig

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cosmiconfig
Version:        5.0.7
Release:        1%{?dist}
Summary:        Find and load configuration from a package.json property, rc file, or CommonJS module

License:        MIT
URL:            https://github.com/davidtheclark/cosmiconfig#readme
Source0:        https://registry.npmjs.org/cosmiconfig/-/cosmiconfig-5.0.7.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(import-fresh) >= 2.0.0 with npmlib(import-fresh) < 3.0.0))
BuildRequires:  ((npmlib(is-directory) >= 0.3.1 with npmlib(is-directory) < 0.4.0))
BuildRequires:  ((npmlib(js-yaml) >= 3.9.0 with npmlib(js-yaml) < 4.0.0))
BuildRequires:  ((npmlib(parse-json) >= 4.0.0 with npmlib(parse-json) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Find and load configuration from a package.json property, rc file, or CommonJS module

%package 5.0.7
Summary:        Find and load configuration from a package.json property, rc file, or CommonJS module


%description 5.0.7
Find and load configuration from a package.json property, rc file, or CommonJS module

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 5.0.7
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 5.0.7-1
- Package automatically generated by npm2srpm
